## EDU.oswego.cs.dl.util.concurrent
Class SynchronousChannel.Queue

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.SynchronousChannel.Queue

Enclosing class:
  SynchronousChannel

    protected static class SynchronousChannel.Queue

extends java.lang.Object

Simple FIFO queue class to hold waiting puts/takes.

Field Summary
`protected LinkedNode` `head`
`protected LinkedNode` `last`

Constructor Summary
`protected` `SynchronousChannel.Queue()`

Method Summary
`protected LinkedNode` `deq()`
`protected void` `enq(LinkedNode p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head

    protected LinkedNode head

### last

    protected LinkedNode last

Constructor Detail

### SynchronousChannel.Queue

    protected SynchronousChannel.Queue()

Method Detail

### enq

    protected void enq(LinkedNode p)

### deq

    protected LinkedNode deq()